[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.GetInterfaceEntryByStr

Return the interface table entry by string

## Declaration

Source position: objpash.inc line 234

`public class function TObject.GetInterfaceEntryByStr(`
`const iidstr: shortstring`
`):pinterfaceentry;`

## Description

GetInterfaceEntryByStr returns the internal interface table entry for the interface identified by iidstr (A string representation of the GUID used in the declaration of the interface). If the interface is not implemented by the class, the function returns Nil.

## See also

TObject.GetInterfaceByStr |  | Return an interface based on its GUID
TObject.GetInterfaceEntry |  | Return the interface table entry by GUID

Documentation generated on: Feb 26 2014